import java.security.*;

/**
   Akcja wyszukująca właściwość systemową.
*/
public class SysPropAction implements PrivilegedAction
{
   /**
      Tworzy akcję wyszukiwania podanej właściwości.
      @param propertyName nazwa właściwości (na przykład "user.home")
   */
   public SysPropAction(String propertyName) { this.propertyName = propertyName; }

   public Object run()
   {
      return System.getProperty(propertyName);
   }

   private String propertyName;
}

